Create a project – Management API – MediaKind
Create a project
put https://app.mk.io/api/v1/projects/:project_name
New project.
RBAC Capability Required: core.project.create or core.project.assign
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Path parameters
project_namestringRequired
Request
This endpoint expects an object.
- displayNamestringRequired: Project display name.
- locationNamestringRequired: The MK.IO location where this project's resources should be created.
- paymentMethodIdstringRequiredformat: uuid: The payment method to use for this project.
Response
- 201Created
- kindstringOptional: The kind of record.
- metadataobject ProjectMetadataSchema Optional: Metadata.
- Show 10 propertiesHide 10 properties
- cloudobject ProjectMetadataCloudSchema Required: Cloud in which the project is hosted.
- Show 3 propertiesHide 3 properties
- displayNamestringRequired: The display name of the cloud.
- idstringOptionalformat: uuid: The unique identifier of the cloud.
- namestringRequired: The unique name of the cloud.
- createdstringOptionalformat: date-time: The time when the resource was created.
- createdBystringOptionalformat: uuid: ID of the user who created the resource.
- createdByEmailstringOptional: Email of the user who created the resource.
- createdByIdstringRequiredformat: uuid: ID of the user who created the project.
- createdByNamestringRequired: Name of the user who created the project.
- displayNamestringOptional: The display name of the resource.
- idstringRequiredformat: uuid: The ID of the resource.
- namestringOptional: The name of the resource.
- updatedstringOptionalformat: date-time: The time when the resource was last updated.
- specobject ProjectSpecSchema Required: Specification.
- Show 7 propertiesHide 7 properties
- assignedPaymentMethodIdstring or nullRequiredformat: uuid: ID of the payment method assigned to the project.
- displayNamestringRequired: Display name of the project.
- isActivebooleanRequired: Is project active.
- locationDisplayNamestringOptional: Display name of the location the project is in.
- locationIdstringRequiredformat: uuid: ID of the location the project is in.
- locationNamestringRequired: Name of the location the project is in.
- namestringRequired: Name of the project.
Errors
400Bad Request
- errorobject ErrorDetail Required: Pertinent information about the error.
- codestringRequired: The error code.
- detailstringRequired: The error message.
- extraDetailmap from strings to anyOptional: Extra information regarding this error.
- Show value schemaHide value schema
- [any key] any
- refstringRequired: A reference to the request that caused the error.
- statusintegerRequired: The HTTP status code
- errorobject ErrorDetail Required: Pertinent information about the error.
401Unauthorized
- errorobject ErrorDetail Required: Pertinent information about the error.
- codestringRequired: The error code.
- detailstringRequired: The error message.
- extraDetailmap from strings to anyOptional: Extra information regarding this error.
- Show value schemaHide value schema
- [any key] any
- refstringRequired: A reference to the request that caused the error.
- statusintegerRequired: The HTTP status code
- errorobject ErrorDetail Required: Pertinent information about the error.
403Forbidden
- errorobject ErrorDetail Required: Pertinent information about the error.
- codestringRequired: The error code.
- detailstringRequired: The error message.
- extraDetailmap from strings to anyOptional: Extra information regarding this error.
- Show value schemaHide value schema
- [any key] any
- refstringRequired: A reference to the request that caused the error.
- statusintegerRequired: The HTTP status code
- errorobject ErrorDetail Required: Pertinent information about the error.
404Not Found
- errorobject ErrorDetail Required: Pertinent information about the error.
- codestringRequired: The error code.
- detailstringRequired: The error message.
- extraDetailmap from strings to anyOptional: Extra information regarding this error.
- Show value schemaHide value schema
- [any key] any
- refstringRequired: A reference to the request that caused the error.
- statusintegerRequired: The HTTP status code
- errorobject ErrorDetail Required: Pertinent information about the error.
429Too Many Requests
- errorobject ErrorDetail Required: Pertinent information about the error.
- codestringRequired: The error code.
- detailstringRequired: The error message.
- extraDetailmap from strings to anyOptional: Extra information regarding this error.
- Show value schemaHide value schema
- [any key] any
- refstringRequired: A reference to the request that caused the error.
- statusintegerRequired: The HTTP status code
- errorobject ErrorDetail Required: Pertinent information about the error.
500Internal Server Error
- errorobject ErrorDetail Required: Pertinent information about the error.
- codestringRequired: The error code.
- detailstringRequired: The error message.
- extraDetailmap from strings to anyOptional: Extra information regarding this error.
- Show value schemaHide value schema
- [any key] any
- refstringRequired: A reference to the request that caused the error.
- statusintegerRequired: The HTTP status code
- errorobject ErrorDetail Required: Pertinent information about the error.